Bug 1605054 - Cursor becomes invisible in gnome-terminal after typing with ibus
Summary: Cursor becomes invisible in gnome-terminal after typing with ibus
Keywords:
Status: VERIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: vte3
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-20 05:01 UTC by vt
Modified: 2019-06-27 21:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/mutter/issues/262 None None None 2018-08-14 05:59:08 UTC

Description vt 2018-07-20 05:01:23 UTC
Description of problem:
After typing in gnome-terminal with ibus input methods, cursor can becomes invisible which is very inconvenient. 

Version-Release number of selected component (if applicable):
Fedora 28 workstation x86_64 

ibus-1.5.18-5.fc28.x86_64
ibus-libpinyin-1.10.0-1.fc28.x86_64 (or other Chinese input methods like ibus-rime)

How reproducible:
100%

Steps to Reproduce:

1. Add Chinese (Intelligent Pinyin) as an input sources in Settings -> Region & Language.

2. Open gnome-terminal

3. Switch to pinyin input (by press "Super" + "Space")

4. Typing, like "ceshi" to get the candidate words, Note: don't press "space" to input a word, just stop at the list candidate words.

5. Press "Super" + "Press" to switch to another input method.

6. Now, in gnome-terminal, the cursor is disappeared.

This is one of the reproduce methods, switching to other windows while typing, deleting all inputted letters while typing, may also trigger this. And this is not limited to ibus-libpinyin only, other input methods like ibus-rime can trigger this too.

Actual results:
Cursor in terminal disappears.

Expected results:
Cursor won't disappear.

Additional info:
From the same gnome-terminal tab, switch to Chinese input method, typing and input a Chinese word can get the cursor back.

Comment 1 vt 2018-07-20 05:08:42 UTC
This also happens with other input sources like Japanese (e.g.: ibus-kkc).

Comment 2 Yuki Okada 2018-07-26 06:56:37 UTC
Same issue here.

Fedora 28 workstation
gnome-terminal-3.28.2-2.fc28.x86_64
ibus-1.5.18-5.fc28.x86_64
ibus-mozc-2.23.2815.102-1.fc28.x86_64

"reset" or "clear" command didn't work.

Comment 3 vt 2018-08-11 13:55:07 UTC
Could you help to fix this? It's really inconvenient for using ibus input methods.

Comment 4 fujiwara 2018-08-14 05:55:17 UTC
I thought it's not so critical issue. But now I agree it's not inconvenient especially in the text mode likes vi and investigated this bug yesterday.

This is a Wayland specific bug which is caused by mutter.

Comment 5 fujiwara 2018-08-14 05:59:08 UTC

(In reply to fujiwara from comment #4)
> But now I agree it's not inconvenient especially in the text mode likes vi and investigated this bug yesterday.


But now I agree it's inconvenient.

Comment 6 vt 2018-08-15 05:01:32 UTC
Thanks very much for the fix, I rebuilt mutter with the patch and installed it, so far it works well.

Comment 7 Gan Huang 2018-09-02 03:39:46 UTC
Hello,

Thanks for the fix, I would appreciate very much if there's a temporary workaround for the issue. (Would be also helpful to give a instruction to build the rpm with the patch)

Comment 8 fujiwara 2018-09-03 06:38:48 UTC
Gan Huang:

I created https://copr.fedorainfracloud.org/coprs/fujiwara/mutter/

Comment 9 Gan Huang 2018-09-03 09:44:29 UTC
Unfortunately I hit the issue :\

[root@fedora tmp]# rpm -ivh ./mutter-3.28.3-3.1.fc28.src.rpm
Updating / installing...
   1:mutter-3.28.3-3.1.fc28           warning: user tfujiwar does not exist - using root
warning: group tfujiwar does not exist - using root
warning: user tfujiwar does not exist - using root
warning: group tfujiwar does not exist - using root
warning: user tfujiwar does not exist - using root
warning: group tfujiwar does not exist - using root
warning: user tfujiwar does not exist - using root
warning: group tfujiwar does not exist - using root
################################# [100%]
warning: user tfujiwar does not exist - using root
warning: group tfujiwar does not exist - using root
warning: user tfujiwar does not exist - using root
warning: group tfujiwar does not exist - using root
warning: user tfujiwar does not exist - using root
warning: group tfujiwar does not exist - using root
warning: user tfujiwar does not exist - using root
warning: group tfujiwar does not exist - using root

Not sure if i missed something, thanks a lot anyway.

Comment 10 fujiwara 2018-09-03 09:58:00 UTC
(In reply to Gan Huang from comment #9)
 > [root@fedora tmp]# rpm -ivh ./mutter-3.28.3-3.1.fc28.src.rpm

You don't have to install source rpm.

# dnf copr enable fujiwara/mutter 
# dnf update ibus

Comment 11 vt 2018-09-03 13:45:35 UTC
(In reply to fujiwara from comment #10)
> (In reply to Gan Huang from comment #9)
>  > [root@fedora tmp]# rpm -ivh ./mutter-3.28.3-3.1.fc28.src.rpm
> 
> You don't have to install source rpm.
> 
> # dnf copr enable fujiwara/mutter 
> # dnf update ibus

typo? I believe you were meat to say:

# dnf update mutter

Comment 12 Gan Huang 2018-09-04 01:39:36 UTC
Cool, the following commands works for me (Seems a restart needed) :)

# dnf copr enable fujiwara/mutter 
# dnf update mutter

Thanks a bunch.

Comment 13 fujiwara 2018-09-04 03:17:39 UTC
(In reply to vt from comment #11)
> typo? I believe you were meat to say:

Thanks for fixing my typo :).

Comment 14 fujiwara 2019-03-26 12:28:11 UTC
Seems this issue was fixed in VTE3 since Fedora 29.

Comment 15 sachin 2019-04-03 11:41:02 UTC
Tested in Fedora 30 , this issue is not reproducible anymore.


Note You need to log in before you can comment on or make changes to this bug.